Summary:	Resolution Switching Applet
Name:		resapplet
Version:	0.1.4
Release:	6%{?dist}
License:	GPLv2+ and GPLv2
# This is the best we have to silence rpmlint:
URL:		http://svn.gnome.org/viewcvs/resapplet/
Group:		User Interface/Desktops
# Source obtained from OpenSuSE
Source:		resapplet-%{version}.tar.bz2
Source1:	resapplet.desktop.in
Patch1:		resapplet-transparent-trayicon.patch
Patch2:		resapplet-susebug25115.patch
Patch3:		resapplet-rotate-wacom.patch
Patch4:		resapplet-0.1.1-link_X11.patch
Patch5:		resapplet-0.1.4-properties.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gnome-icon-theme gnome-themes libgnomeui-devel 
BuildRequires:	intltool, automake, gettext, desktop-file-utils
Requires:	libgnomeui >= 2.2 gtk2 >= 2.4 
#Requires: gconf-editor >= 2.6 
Requires:	gnome-icon-theme

%description
Resapplet is a simple utility that sits in the system notification area
and allows switching the resolution and refresh rate.  It uses the
xrandr extensions to switch the resolution on-the-fly and user
resolution preferences to save the resolution.

It works in both GNOME and KDE, because it uses the system notification
area.

%prep
%setup -q 
cp -a %{S:1} . 
%patch1 -p0
%patch2 -p0
%patch3 -p1 -b .wacom
%patch4 -p1 -b .lX11
%patch5 -p1

%build
#glib-gettextize
aclocal
intltoolize --force
autoheader
automake --add-missing
autoconf
export CFLAGS="$RPM_OPT_FLAGS"

%configure	--datadir=%{_datadir} \
		--libdir=%{_libdir} \
		--localstatedir=%{_libdir} \
		--prefix=%{_prefix}
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora --delete-original		\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications		\
	--add-category Utility					\
	--add-category X-Red-Hat-Base				\
	$RPM_BUILD_ROOT%{_datadir}/applications/resapplet.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/autostart/
# install autostart file
cp $RPM_BUILD_ROOT%{_datadir}/applications/fedora-resapplet.desktop $RPM_BUILD_ROOT%{_datadir}/gnome/autostart/
%find_lang %name

%post
touch --no-create %{_datadir}/pixmaps/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/gnome || :

%postun
touch --no-create %{_datadir}/pixmaps/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/gnome || :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/resapplet
%{_datadir}/applications/fedora-resapplet.desktop
%{_datadir}/gnome/autostart/fedora-resapplet.desktop
%{_datadir}/icons/hicolor/16x16/apps/resapplet.png
%{_datadir}/icons/hicolor/22x22/apps/resapplet.png
%{_datadir}/icons/hicolor/24x24/apps/resapplet.png
%{_datadir}/icons/hicolor/32x32/apps/resapplet.png
%{_datadir}/icons/hicolor/scalable/apps/resapplet.svg

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.1.4-4
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep  3 2010 Radek Vokal <rvokal@redhat.com> - 0.1.4-2
- recreated wacom patch

* Fri Sep  3 2010 Radek Vokal <rvokal@redhat.com> - 0.1.4-1
- update to 0.1.4 from Suse trunk
- drop dependency on s-c-display

* Tue Mar 23 2010 Radek Vokal <rvokal@redhat.com>
- patch from bruno@wolff.to fixes DSO Linking (#564599)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.1.1-7
- Autorebuild for GCC 4.3

* Thu Sep  6 2007 Stepan Kasal <skasal@redhat.com> 0.1.1-6
- resapplet.desktop.in; s/SystemTools/System/, to conform with
  http://standards.freedesktop.org/menu-spec/latest/apa.html
- Fix License: tag, add Url:

* Fri Dec 22 2006 Radek Vokál <rvokal@redhat.com> 0.1.1-5
- Call automake with "--add-missing".
- Call aclocal before intltoolize.

* Tue Dec 12 2006 Radek Vokál <rvokal@redhat.com> 0.1.1-4
- remove suse icons
- add scriplets 

* Thu Dec  7 2006 Radek Vokál <rvokal@redhat.com> 0.1.1-3
- fix desktop file

* Wed Dec  6 2006 Radek Vokál <rvokal@redhat.com> 0.1.1-2
- spec file changes

* Wed Dec  6 2006 Radek Vokál <rvokal@redhat.com> 0.1.1-1
- initial Fedora build
